package com.module.database.room.dao

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import androidx.room.Update
import com.module.database.room.entity.BillBean

@Dao
interface BillDao {

    @Query("select * from bill")
    suspend fun getAll():List<BillBean>

    @Insert(onConflict = OnConflictStrategy.IGNORE)
    suspend fun insert(billBean: BillBean)

    @Update
    suspend fun update(billBean: BillBean): Int

    @Delete
    suspend fun delete(billBean: BillBean): Int
}